Bug 245948 - EPSON Stylus D78 not supported
EPSON Stylus D78 not supported
Product: Fedora
Classification: Fedora
Component: gutenprint (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: IEEE1284DeviceIDs
  Show dependency treegraph
Reported: 2007-06-27 11:39 EDT by Andrew Meredith
Modified: 2012-01-11 01:10 EST (History)
2 users (show)

See Also:
Fixed In Version: gutenprint-5.2.7-7.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-01-11 01:10:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Meredith 2007-06-27 11:39:05 EDT
Description of problem:

The EPSON Stylus D78 is detected as such by name, but issues the following
warning message to the console:

 No match for USB device:
   mfr "EPSON"
   model "Stylus D78"
   desc "EPSON Stylus D78"
   cmdset "ESCPL2,BDC,D4,D4PX"
 Please report this message in Bugzilla:
 Choose 'foomatic' as the component.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Tim Waugh 2007-06-27 12:00:13 EDT
FWIW the D68 driver works.
Comment 2 Andrew Meredith 2007-06-27 14:49:19 EDT
I'd use that, but it's not supported either ..
.. or at least it isn't under Epson in the dialog box.
Comment 3 Tim Waugh 2007-06-27 17:28:33 EDT
It's "Stylus D68", and it ought to be have been selected automatically for you
when you plugged the printer in -- was it not?
Comment 4 Andrew Meredith 2007-06-28 06:49:49 EDT
.. hence the problem report

Comment 5 Tim Waugh 2007-06-28 06:57:26 EDT
Well, I didn't know from your initial report whether the printer was working and
you were following the instructions to report the ID, or whether the printer was
not working at all.  But now I know. :-)

Please edit /etc/syslog.conf and adjust the line that begins:


to instead begin:


and restart syslog (/sbin/service syslog restart).  Now remove any queues
associated with the Epson Stylus D68 printer, and disconnect the printer from
the computer.  Run 'date' to check the time this was done.

Now connect the printer to the computer and wait for a few minutes.  Then take a
look at /var/log/messages and copy in the messages that occurred from the time
the printer was disconnected.  Thanks.
Comment 6 Andrew Meredith 2007-06-28 07:44:19 EDT
I think this system has deeper issues. It doesn't show either the D78 or the D68
in the list of Epson printers on offer. I assume from your comments that the
list should include: "Epson" "Stylus D68", could you please confirm this.

I won't be able to do too much debugging though as this is a production machine
and I have lashed up the printer by installing an independent build of
gutenprint and kicking system-config-printer into using the ppd for the D68 from
out of their database.

Comment 7 Tim Waugh 2007-06-28 08:20:58 EDT
What does 'rpm -q gutenprint-foomatic' say?  If it is not installed, please
install it and see if that makes things any better.
Comment 8 Tim Waugh 2007-06-29 06:28:17 EDT
Actually, please show me the output of this command:

  rpm -q gutenprint-foomatic gutenprint-cups

If you don't have either of those packages installed, that would explain it.
Comment 9 Tim Waugh 2010-04-09 06:16:01 EDT
Still needs ID adding. (Ironically, I actually have this exact model now...)
Comment 10 Tim Waugh 2010-12-02 11:28:07 EST
# lpinfo --include-schemes=usb -l -v
Device: uri = usb://EPSON/Stylus%20D78
        class = direct
        info = EPSON Stylus D78
        make-and-model = EPSON Stylus D78
        device-id = MFG:EPSON;CMD:ESCPL2,BDC,D4,D4PX;MDL:Stylus D78;CLS:PRINTER;DES:EPSON Stylus D78;
        location =
Comment 11 Bug Zapper 2011-06-02 14:41:06 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 12 Fedora Update System 2011-10-11 09:57:14 EDT
gutenprint-5.2.7-7.fc16 has been submitted as an update for Fedora 16.
Comment 13 Fedora Update System 2011-11-03 09:10:39 EDT
gutenprint-5.2.7-7.fc15 has been submitted as an update for Fedora 15.
Comment 14 Fedora Update System 2011-11-03 09:23:07 EDT
gutenprint-5.2.7-7.fc14 has been submitted as an update for Fedora 14.
Comment 15 Fedora Update System 2011-11-04 16:25:34 EDT
Package gutenprint-5.2.7-7.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gutenprint-5.2.7-7.fc15'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2011-11-04 21:20:53 EDT
gutenprint-5.2.7-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2012-01-11 01:10:36 EST
gutenprint-5.2.7-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.